import { ipcRenderer } from 'electron';

export const ipcClient: IpcClient = {
  ask<T extends IpcChannel>(channel: T, data?: IpcParameter<T>): Promise<IpcAnswer<T>> {
    return ipcRenderer.invoke(channel, data) as Promise<IpcAnswer<T>>;
  },
};
